# Copyright 2022 Google LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Test for vizier_service."""

from vizier.service import vizier_service
from absl.testing import absltest


class LocalServiceTest(absltest.TestCase):

  def test_creation(self):
    service = vizier_service.DefaultVizierService()
    self.assertIsNotNone(service.stub)
    self.assertIsNotNone(service.endpoint)
    self.assertIsNotNone(service.datastore)


if __name__ == '__main__':
  absltest.main()
